2019-08-21 11:41 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000099mercuryBugpublic2011-10-09 03:12
Reporterserkho 
Assigned Tojuliensf 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000099: Incorrect command-line options for Visual Studio
DescriptionI have tried to use Mercury with MSVC2005 and found some glitches:

1) there is a whitespace after /OUT: in command file for lib, lib.exe is not able to handle it
2) libcmt.lib should be linked in addition to Mercury libraries
3) also I had to specify /entry:mainCRTStartup after /link option for linker
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000366

juliensf (administrator)

Fix committed in r1.176 of compiler/compile_target_code.m.
+Notes

-Issue History
Date Modified Username Field Change
2009-06-15 01:38 serkho New Issue
2011-10-09 03:12 juliensf Note Added: 0000366
2011-10-09 03:12 juliensf Status new => resolved
2011-10-09 03:12 juliensf Resolution open => fixed
2011-10-09 03:12 juliensf Assigned To => juliensf
+Issue History